View Issue Details

IDProjectCategoryView StatusLast Update
0003177unrealircdpublic2012-12-27 02:53
ReportersyzopAssigned Tonenolod 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformOSANYOS VersionANY
Product Version3.3-alpha0 
Target VersionFixed in Version3.4-alpha1 
Summary0003177: Change add_Command's to CommandAdd's
DescriptionFor 3.3*, change all add_Command()'s to CommandAdd's, and actually remove add_Command() [or at least so modules cant use it anymore].

When converting to CommandAdd's, also fix/audit the flags.
There are many command that should never origin from a server. STATS is a good example. In that case, "STATS" shouldn't get the M_SERVER flag, only M_USER.
Do this for the rest as well....

Of course, when a command is added without M_SERVER, the if IsServer()..return 0.. check can be removed from the m_whatever function, since !IsServer() is guaranteed.
TagsNo tags attached.
3rd party modules

Activities

syzop

2006-12-28 14:28

administrator   ~0012949

Consider something like M_REMOTE or M_LOCAL as well.
So you can define whether remote user requests should be allowed. And so this too can be removed from m_nameoffunctions
Examples of commands that should never originate from remote users are USERHOST, USERIP, PROTOCTL, etc...

2007-04-26 05:39

 

CommandAdd.3177-1.patch (68,249 bytes)

aegis

2007-04-26 05:42

reporter   ~0013721

Last edited: 2007-04-26 05:58

IMPORTANT!: Please delete CommandAdd.3177-1.patch, it is broken!

CommandAdd.3177-2.patch changes add_Command (and add_CommandX) to CommandAdd, adds modinfo->handle, adds M_USER|M_SERVER (where applicable), and removes del_Command blocks from `src/modules/*.c'.

This patch doesn't modify anything about M_*, as Stskeeps will handle that.

Run this patch from the Unreal root dir. Tested without failure.

2007-04-26 05:57

 

CommandAdd.3177-2.patch (68,253 bytes)

stskeeps

2007-06-12 14:56

reporter   ~0014341

Committed aegis' patch in 3.3-alpha0, .2436

nenolod

2012-12-27 02:52

reporter   ~0017290

Done in 3.4, partially. Still need to kill add_Command() infrastructure.

Issue History

Date Modified Username Field Change
2006-12-28 14:23 syzop New Issue
2006-12-28 14:24 syzop Description Updated
2006-12-28 14:25 syzop Description Updated
2006-12-28 14:28 syzop Note Added: 0012949
2007-04-19 04:20 stskeeps Status new => acknowledged
2007-04-26 05:39 aegis File Added: CommandAdd.3177-1.patch
2007-04-26 05:42 aegis Note Added: 0013721
2007-04-26 05:44 aegis Note Edited: 0013721
2007-04-26 05:44 aegis Note Edited: 0013721
2007-04-26 05:44 aegis Note Edited: 0013721
2007-04-26 05:57 aegis File Added: CommandAdd.3177-2.patch
2007-04-26 05:58 aegis Note Edited: 0013721
2007-06-12 14:56 stskeeps Note Added: 0014341
2007-06-12 14:56 stskeeps Status acknowledged => confirmed
2012-12-27 02:52 nenolod Note Added: 0017290
2012-12-27 02:52 nenolod Status confirmed => resolved
2012-12-27 02:52 nenolod Fixed in Version => 3.4-alpha1
2012-12-27 02:52 nenolod Resolution open => fixed
2012-12-27 02:52 nenolod Assigned To => nenolod